#procedure LTtoPV()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** The last code number, (i.e 1) tells us that we deal with direct  box
** The last code number, (i.e 3) tells us that we deal with crossed box
.sort

S isnotabox;

#if `TOPOLOGY' == 4x1d
  #define typeofbox "1"
#elseif `TOPOLOGY' == 4x2d
  #define typeofbox "3"
#elseif `TOPOLOGY' == 4x3d
  #define typeofbox "2"
#else
  #define typeofbox "isnotabox"
#endif
*************************************************************
** 4 point functions

id D0i(dd00,?a)=-D27(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd11,?a)= D21(`imm4',`imm1',`imm2',`imm3',`typeofbox')
                +D22(`imm4',`imm1',`imm2',`imm3',`typeofbox')
              -2*D24(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd22,?a)= D22(`imm4',`imm1',`imm2',`imm3',`typeofbox')
                +D23(`imm4',`imm1',`imm2',`imm3',`typeofbox')
              -2*D26(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd33,?a)= D23(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd12,?a)= D24(`imm4',`imm1',`imm2',`imm3',`typeofbox') 
                -D22(`imm4',`imm1',`imm2',`imm3',`typeofbox')
                -D25(`imm4',`imm1',`imm2',`imm3',`typeofbox') 
                +D26(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd13,?a)= D25(`imm4',`imm1',`imm2',`imm3',`typeofbox') 
                -D26(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd23,?a)= D26(`imm4',`imm1',`imm2',`imm3',`typeofbox') 
                -D23(`imm4',`imm1',`imm2',`imm3',`typeofbox');
 
id D0i(dd1,?a)=  D11(`imm4',`imm1',`imm2',`imm3',`typeofbox') 
                -D12(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd2,?a)=  D12(`imm4',`imm1',`imm2',`imm3',`typeofbox') 
                -D13(`imm4',`imm1',`imm2',`imm3',`typeofbox');
id D0i(dd3,?a)=  D13(`imm4',`imm1',`imm2',`imm3',`typeofbox');
 
id D0i(dd0,?a)=   D0(`imm4',`imm1',`imm2',`imm3',`typeofbox');

*************************************************************
** 3 point funtions

id C0i(cc0,?a)= -C0(`imm3',`imm1',`imm2');
id C0i(cc1,?a)= -C11(`imm3',`imm1',`imm2')
                +C12(`imm3',`imm1',`imm2');
id C0i(cc2,?a)= -C12(`imm3',`imm1',`imm2');

id C0i(cc00,?a)= +C24(`imm3',`imm1',`imm2');
id C0i(cc11,?a)= -C21(`imm3',`imm1',`imm2')
                 -C22(`imm3',`imm1',`imm2')
                 +C23(`imm3',`imm1',`imm2');
id C0i(cc12,?a)= +C22(`imm3',`imm1',`imm2')
                 -C23(`imm3',`imm1',`imm2');
id C0i(cc22,?a)= -C22(`imm3',`imm1',`imm2');



#endprocedure

*$Id: LTtoPV.prc,v 1.4 2004/10/08 14:28:10 alorca Exp $
