#procedure contgammas()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Simplifies contractions in products of gamma matrices
** Begun on, 16/08/02


** The main gamma contractions: 5 -> 3 and 3 -> 1
** Here the set index_ will replace only the indexes leaving the vectors.

id gamma(line?,mu0?index_)*
   gamma(line?,nu1?)*gamma(line?,nu2?)*gamma(line?,nu3?)*
   gamma(line?,mu0?index_)=
           -(2*gamma(line,nu3)*gamma(line,nu2)*gamma(line,nu1)
        +[D-4]*gamma(line,nu1)*gamma(line,nu2)*gamma(line,nu3));

id gamma(line?,mu0?index_)*gamma(line?,nu1?)*gamma(line?,mu0?index_) =
           -(2+[D-4])*gamma(line,nu1);


** The other gamma contractions: 4 -> 2 and 2 -> 0
id gamma(line?,mu0?index_)*
   gamma(line?,nu1?)*gamma(line?,nu2?)*
   gamma(line?,mu0?index_)= 4*d_(nu1,nu2)+[D-4]*gamma(line,nu1)*gamma(line,nu2);


id gamma(line?,mu0?index_)*gamma(line?,mu0?index_)= 4+[D-4];


#endprocedure
*$Id: contgammas.prc,v 1.4 2004/10/08 14:28:11 alorca Exp $
