#procedure momconservation()
* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure applying momenta conservation
** momenta conservation in order to remove those terms when applying Dirac

#if `LEGS' == 2
** Trivial case, p1+p2=0 and nothing special has to be done
#elseif `LEGS' == 3
** To be considered, but I'm not interested now
#elseif `LEGS' == 4
** p1+p2+p3+p4 = 0, And we want the chain 1 to sandwich Mom(1) and chain 2
id Mom(1,+1,mu0?al2[a1])=-Mom(2,+1,mu0);
al Mom(2,+1,mu0?al1[a1])=-Mom(1,+1,mu0);
#elseif `LEGS' == 5
** p1+p2+p3+p4+p5 = 0
#else
** nothing special is done
#endif 



#endprocedure
*$Id*
